Subject: [Sipping] Comments to the SIP-ISUP WGLC

From: "Alexeitsev, D" <[email-masked]>
Date: Thu, 11 Jul 2002 10:51:14 +0200

Hello All

Some comments to the WGLC:

On the figure in the the paragraph 6.1.1 the forward media  cutthrough should occur after the receipt of the ACK message. This is also identified by the paragraph 6.3

The current presentation of media cutthrough is somewhat confusing as it seems, that the it is somehow delayed. The proposal would be to update the figures in the document as in this example:

        |                          |<-----------CPG-----------|5
    6|<----------18x------------|                          |
     |                          |<-----------ANM-----------|7
    8|<----------200------------|			   	     |
    9|-----------ACK----------->|        			     |
     | 		              |			           |
     |<=========Audio==========>|<=========Audio==========>|
     |				  |			           |

That also would be consistent with the "SIP Call Flow Examples" draft.

The figure in paragraph  6.1.4 shows the sending of the BYE request by the MGC/MG on the subsequent SIP T1 timer expires. I think that should be changed to the 504 response as the session is not yet established.  

The paragraph 8.2 describes the procedures for putting the call on hold from the SIP side. Isn't it is changed to use the UPDATE method for such procedures?
 
The section 11 "Construction of Telephony URIs" does not highlight the handling of the end-of-pulsing (ST) signal after address signals. Should it be mapped to the tel: URI or not?

Greetings,
Denis Alexeitsev

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 11 Jul 2002 13:31:05 +0300

Hello,

inline:

> On the figure in the the paragraph 6.1.1 the forward media  cutthrough should occur after the receipt of the ACK message. This is also identified by the paragraph 6.3

Section 6.2.7 indicates that you can actually establish the two-way
media path after having sent the 200 OK.

I agree that coming from the SS7 world, section 6.3 can be somehow
confusing, since the two-media path is connected when the 200 OK is
sent, and afterwards an ACK is received... well, that's how SIP works.
Anyway, I agree that rephrasing 6.3 would be good.

>      |                          |<-----------ANM-----------|7

The figure in the draft reflects better the reality, IMO.

> The figure in paragraph  6.1.4 shows the sending of the BYE request by the MGC/MG on the subsequent SIP T1 timer expires. I think that should be changed to the 504 response as the session is not ye…

In SIP, you cannot change the status code of your final response once
you have sent it. The intend of this draft is to show how to map ISUP to
SIP, not to modify SIP.

> The paragraph 8.2 describes the procedures for putting the call on hold from the SIP side. Isn't it is changed to use the UPDATE method for such procedures?

You can use both, UPDATE and re-INVITE. Therefore, the section is
correct.

> The section 11 "Construction of Telephony URIs" does not highlight the handling of the end-of-pulsing (ST) signal after address signals. Should it be mapped to the tel: URI or not?

Section 11 references [7], which is:

[7]  Vaha-Sipila, A., "URLs for Telephone Calls", RFC 2806, April
        2000.

There, and in the future documents that will obsolete that spec, you can
find all the info related to tel URIs.

Regards,

Gonzalo